Decompose an ISO 8601 duration
curl --request POST \
--url https://{deployment}/api/v1/iso8601/components \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"duration": "P1DT2H30M"
}
'import requests
url = "https://{deployment}/api/v1/iso8601/components"
payload = { "duration": "P1DT2H30M" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({duration: 'P1DT2H30M'})
};
fetch('https://{deployment}/api/v1/iso8601/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"original": "P1DT2H30M",
"days": 1,
"hours": 2,
"minutes": 30,
"seconds": 0,
"is_valid": true
}{
"status": "error",
"error": "<string>"
}ISO 8601
Decompose an ISO 8601 duration
Parses an ISO 8601 duration into numeric days/hours/minutes/seconds. Pro license required.
POST
/
iso8601
/
components
Decompose an ISO 8601 duration
Authorizations
Your deployment's API key (MMK_API_KEY). Routes that accept OAuth2 also allow Authorization: Bearer <token>.
Body
application/json
ISO 8601 duration, e.g. P1DT2H30M.
Was this page helpful?
⌘I

